description

# SocketException class Null safety

Exception thrown when a socket operation fails.

Implemented types
  - IOException

## Constructors

SocketException(String message, {OSError? osError, InternetAddress? address, int? port})
  Creates a SocketException with the provided values.
  const
SocketException.closed()
  Creates an exception reporting that a socket was used after it was closed.
  const

## Properties

address → InternetAddress?
  The address of the socket giving rise to the exception. [...]
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String
  Description of the error.
  final
osError → OSError?
  The underlying OS error. [...]
  final
port → int?
  The port of the socket giving rise to the exception. [...]
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited